AAFLIP(1)

NAME
aaflip - An ASCII art video player

SYNOPSIS
aaflip [-abcfv] [-n number] [-s delay]

DESCRIPTION
aaflip is an ASCII art video player which supports the fli and flc formats.

fli files are limited to a resolution of 320x200 pixel, while flc files can have any resolution.

The default method of playing is to load the first frame of the animation sequence and display it. After this the remainder of the file is loaded into memory, and the animation starts. The animation ends when q or ctrl-c is pressed.

OPTIONS

-a  Remove frames from memory after processing. Using this option leaves more memory for other processes, but relies on the buffer cache for continuous animation.

-b  Process frames immediately as they are loaded. When using this option the animation frames are shown as soon as the player has read them, so you don't have to wait until the entire file has been read. The disadvantage is that the animation becomes jumpy if the speed set by the animation is higher than the speed of loading.

-c  Keep the screen black while loading the animation. This conflicts with option -b, which can give interesting results.

-f  Switch off clock synchronization. Animation will run as fast as possible.

-v  Show information on flic file.

-n number
    Play the animation sequence number times.

-s delay
    Set delay between frames to delay milliseconds. Option -s 0 is the same as -f.

BUGS
Please report any bugs you find to Jan Hubicka <hubicka@freesoft.cz>.

LICENSE
aaflip is covered by the GNU General Public License (GPL).

HISTORY
aaflip is based on the FLI Player written by John Remyn <boogyman@xs4all.hacktic.nl>.

SEE ALSO
aafire(1), aainfo(1), aasavefont(1), aatest(1), aview(1), asciiview(1), aa3d(1), aatv(1), bb(1), xaos(6).

AUTHOR
Jan Hubicka <hubicka@freesoft.cz>

This manual page was written by Edward Betts <edward@debian.org> and Aaron Lehmann <aaronl@vitelus.com>, for the Debian GNU/Linux system (but may be used by others).